/*
 Theme Name:   Twenty Fourteen Child
 Theme URI:    http://jbutewicz.com/twenty-fourteen-child/
 Description:  Twenty Fourteen Child Theme
 Author:       Joseph Butewicz
 Author URI:   http://jbutewicz.com
 Template:     twentyfourteen
 Version:      1.0.0
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  twenty-fourteen-child
*/

@import url("../twentyfourteen/style.css");

/* =Theme customization starts here
-------------------------------------------------------------- */

/* Change width of about me pic */
img.size-medium.wp-image-849 {
    width: 100%;
}

/* Make pictures width of article */
.wp-caption img[class*="wp-image-"] {
    width: 100%;
}

/* Remove hyphens from words */
.site-content article {
	word-wrap: normal;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	hyphens: none;
	}

.widget-area .widget {
	word-wrap: normal;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	hyphens: none;
	}

/*	Center the caption right below the image. */
.post p.wp-caption-text {
	text-align:center;
	padding:3px;
	background-color:#eee;
	border:solid 1px #999;
	font-size:11px;
}
	
.aligncenter {
	text-align:center;
	margin:0 auto;
	}

/* 	Increase the width of the twenty fourteen theme. The original width is too narrow. */
.site-content .entry-header,
.site-content .entry-content,
.site-content .entry-summary,
.site-content .entry-meta,
.page-content,
.post-navigation,
.image-navigation,
.comments-area {
	/* 	max-width: 650px;	*/
	max-width: 71.4%;
}

/* 	Get the categories and date/comment around the post title to be right aligned. 	*/
.site-content .entry-meta {
	margin: 0px;
}

/*	This centers the social sharing Share Daddy icons from Jetpack	*/
div.sharedaddy .sd-content {
	width: 100%;
	text-align: center;
}

div.sharedaddy .sd-content ul {
	display: inline-block;
}

/*	The following are the social icons that I made for my Contact Page. Also include icons
	for word and pdf for my Resume page.
*/ 
.myicons-twitter, .myicons-linkedin, .myicons-github, .myicons-facebook, .myicons-googleplay, .myicons-googleplus, .myicons-email, .myicons-word, .myicons-pdf {
	margin: 2px;
	height:40px;
	width: 40px;
	display:block;
}

.myicons-twitter { background:transparent url('../../uploads/2014/05/twitter.png') center top no-repeat; }
.myicons-twitter:hover { background-image: url('../../uploads/2014/05/twitter_mouseover.png'); }

.myicons-linkedin { background:transparent url('../../uploads/2014/05/linkedin.png') center top no-repeat; }
.myicons-linkedin:hover { background-image: url('../../uploads/2014/05/linkedin_mouseover.png'); }

.myicons-github { background:transparent url('../../uploads/2014/05/github.png') center top no-repeat; }
.myicons-github:hover { background-image: url('../../uploads/2014/05/github_mouseover.png'); }

.myicons-facebook { background:transparent url('../../uploads/2014/05/facebook.png') center top no-repeat; }
.myicons-facebook:hover { background-image: url('../../uploads/2014/05/facebook_mouseover.png'); }

.myicons-googleplay { background:transparent url('../../uploads/2014/05/googleplay.png') center top no-repeat; }
.myicons-googleplay:hover { background-image: url('../../uploads/2014/05/googleplay_mouseover.png'); }

.myicons-googleplus { background:transparent url('../../uploads/2014/05/googleplus.png') center top no-repeat; }
.myicons-googleplus:hover { background-image: url('../../uploads/2014/05/googleplus_mouseover.png'); }

/* Email icon not used to prevent spam
.myicons-email { background:transparent url('../../uploads/2014/05/email.png') center top no-repeat; }
.myicons-email:hover { background-image: url('../../uploads/2014/05/email_mouseover.png'); }
*/

.myicons-word { background:transparent url('../../uploads/2014/05/word.png') center top no-repeat; }
.myicons-word:hover { background-image: url('../../uploads/2014/05/word_mouseover.png'); }

.myicons-pdf { background:transparent url('../../uploads/2014/05/pdf.png') center top no-repeat; }
.myicons-pdf:hover { background-image: url('../../uploads/2014/05/pdf_mouseover.png'); }

#mysociallinks { margin:0; padding-bottom:24px; list-style-type:none; display:block;  text-align:left;}
#mysociallinks li { display: inline-block; }

#mysociallinks-resume { margin:0; padding-bottom:24px; list-style-type:none; display:block; }
#mysociallinks-resume li { display: inline-block; }

/* 	Remove "You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> ..."
 	from the comment section.
*/
.form-allowed-tags { display: none; }

/*	Remove the website field from the comment section	*/
.comment-form-url {
display: none;
}

/*	Use the following to change the black background colors throughout the site to white	*/
.site-header {
	background-color: #ffffff;
}

.site-footer {
	background-color: #ffffff;
	z-index: 1;
}

.site:before {
	background-color: #ffffff;
}

body.custom-background {
	border-color: #ffffff !important;
	background-color: #ffffff !important;
}

.menu-toggle {
	background-color: #ffffff;
}

.menu-toggle:before {
	color: #000000 !important;
}

#secondary {
	background-color: #ffffff;
	border-top: none;
	color: #000000;
}

.grid .featured-content .entry-header {
	border-color: #ffffff;
	background-color: #ffffff;
	border-width: 2px 2px;
	height: 120px;
	text-align:center;
}

/*	Change the background of the fetured content on the homepage	*/
.featured-content {
	background: #ffffff;
}

.featured-content .entry-header {
	border-color: #ffffff;
	background-color: #ffffff;
}

/* 	Move the "To the top" link from the footer to the right	*/
.site-info {
	float: right; 
}

/*	Change search bar so that it does not stretch across the screen	*/
.search-box {
	background-color: transparent;
	padding: 0px;	
}

.search-field {
	border: 10px solid #2d9185 !important;
	border-radius: 0px;
}

/*	Remove a one pixel gap between the navigation bar and the search button	*/
.primary-navigation {
	margin: 10 0px 0 -12px !important;
}

/* 	Change much of the orignal twenty fourteen green colors to a more modern green	*/
a {
	color: #2d9185;
}

a:active,
a:hover {
	color: #31be99;
}

::selection {
	background: #2d9185;
}

::-moz-selection {
	background: #2d9185;
}

button,
.contributor-posts-link,
input[type="button"],
input[type="reset"],
input[type="submit"] {
	background-color: #2d9185;
}

button:hover {
	background-color: #2d9185 !important;
}

button:focus {
	background-color: #2d9185 !important;
}

button:hover,
button:focus,
.contributor-posts-link:hover,
input[type="button"]:hover,
input[type="button"]:focus,
input[type="reset"]:hover,
input[type="reset"]:focus,
input[type="submit"]:hover,
input[type="submit"]:focus {
	background-color: #31be99;
}

button:active,
.contributor-posts-link:active,
input[type="button"]:active,
input[type="reset"]:active,
input[type="submit"]:active {
	background-color: #0cddbe;
}

.search-toggle {
	background-color: #ffffff;
}

.search-toggle:hover {
	background-color: #2d9185;
}

.search-toggle.active {
	background-color: #2d9185;
}

.search-toggle:before {
	color: #000000;
}

.site-navigation a:hover {
	color: #31be99;
}

.site-navigation .current_page_item > a,
.site-navigation .current_page_ancestor > a,
.site-navigation .current-menu-item > a,
.site-navigation .current-menu-ancestor > a {
	color: #0cddbe;
}

.entry-title a:hover {
	color: #31be99;
}

.entry-meta a:hover {
	color: #31be99;
}

.cat-links a:hover {
	color: #31be99;
}

.entry-meta .tag-links a:hover {
	background-color: #31be99;
}

.entry-meta .tag-links a:hover:before {
	border-right-color: #31be99;
}

.entry-content .edit-link a:hover {
	color: #31be99;
}

.hentry .mejs-controls .mejs-time-rail .mejs-time-current {
	background: #2d9185;
}

.page-links a:hover {
	background: #31be99;
	border: 1px solid #31be99;
}

.post-navigation a:hover,
.image-navigation a:hover {
	color: #31be99;
}

.paging-navigation .page-numbers.current {
	border-top: 5px solid #2d9185;
}

.paging-navigation a:hover {
	border-top: 5px solid #31be99;
}

.comment-author a:hover,
.comment-list .pingback a:hover,
.comment-list .trackback a:hover,
.comment-metadata a:hover {
	color: #31be99;
}

.comment-reply-title small a:hover {
	color: #31be99;
}

.widget a:hover {
	color: #31be99;
}

.widget input[type="button"]:hover,
.widget input[type="button"]:focus,
.widget input[type="reset"]:hover,
.widget input[type="reset"]:focus,
.widget input[type="submit"]:hover,
.widget input[type="submit"]:focus {
	background-color: #31be99;
}

.widget input[type="button"]:active,
.widget input[type="reset"]:active,
.widget input[type="submit"]:active {
	background-color: #0cddbe;
}

.widget-title a:hover {
	color: #31be99;
}

.widget_calendar tbody a {
	background-color: #2d9185;
}

.widget_calendar tbody a:hover {
	background-color: #31be99;
}

.widget_twentyfourteen_ephemera .entry-meta a:hover {
	color: #31be99;
}

.content-sidebar .widget a {
	color: #2d9185;
}

.content-sidebar .widget a:hover {
	color: #31be99;
}

.content-sidebar .widget input[type="button"],
.content-sidebar .widget input[type="reset"],
.content-sidebar .widget input[type="submit"] {
	background-color: #2d9185;
}

.content-sidebar .widget input[type="button"]:hover,
.content-sidebar .widget input[type="button"]:focus,
.content-sidebar .widget input[type="reset"]:hover,
.content-sidebar .widget input[type="reset"]:focus,
.content-sidebar .widget input[type="submit"]:hover,
.content-sidebar .widget input[type="submit"]:focus {
	background-color: #31be99;
}

.content-sidebar .widget input[type="button"]:active,
.content-sidebar .widget input[type="reset"]:active,
.content-sidebar .widget input[type="submit"]:active {
	background-color: #0cddbe;
}

.content-sidebar .widget .widget-title a:hover {
	color: #31be99;
}

.content-sidebar .widget_twentyfourteen_ephemera .entry-meta a:hover {
	color: #31be99;
}

.site-info a:hover {
	color: #31be99;
}

.featured-content a:hover {
	color: #31be99;
}

.slider-control-paging a:hover:before {
	background-color: #31be99;
}

.slider-control-paging .slider-active:before,
.slider-control-paging .slider-active:hover:before {
	background-color: #2d9185;
}

.slider-direction-nav a:hover {
	background-color: #2d9185;
}

@media screen and (min-width: 783px) {
	.primary-navigation ul ul {
		background-color: #2d9185;
	}
	.primary-navigation li:hover > a,
	.primary-navigation li.focus > a {
		background-color: #2d9185;
	}

	.primary-navigation ul ul a:hover,
	.primary-navigation ul ul li.focus > a {
		background-color: #31be99;
	}
}

@media screen and (min-width: 1008px) {
	.secondary-navigation ul ul {
		background-color: #2d9185;
	}
	.secondary-navigation li:hover > a,
	.secondary-navigation li.focus > a {
		background-color: #2d9185;
	}

	.secondary-navigation ul ul a:hover,
	.secondary-navigation ul ul li.focus > a {
		background-color: #31be99;
	}
}

/*	Change color of Subscribe button.	*/ 
.widget input[type="submit"] {
	background-color: #2d9185;
	color: #ffffff;
}


.widget input, .widget textarea {
	border-color: #767676 !important;
	color: #000000;
}

/*	Remove the margin at the bottom of the page above the header	*/
.hentry {
	margin: 0 auto 0px;
}

/*	Decrease the size of the spacing between the widget title and the widget contents	*/
.widget {
	margin-bottom: 24px;
}

/*	Featured content link text color 	*/
.featured-content a {
	color: #000000;
}

/*	Featured content non-link text color  	*/
.featured-content .entry-meta {
	color: #000000;
}

/* 	Navigation bar link text color 	*/
.site-navigation a {
	color: #000000;
}

/*	Footer link text color 	*/
.site-info a {
	color:  #767676;
}

/* 	Left sidebar widget header color 	*/
.widget-title {
	color: #000000;
}

/* 	Left sidebar non-link text color 	*/
#secondary {
	color: #767676;
}

/* 	Left sidebar link text color 	*/
.widget a {
	color: #000000;
}

/* 	Infinite scroll link text color 	*/
#infinite-footer a {
	color: #767676 !important;	
}

/* 	Infinite scroll link text color on hover	*/
#infinite-footer a:hover {
	color: #31be99 !important;	
}

/*	Center align the site	*/
.site {
	margin: 0 auto;
}

/*	Remove excess padding at top of site.	*/
.page-id-30 .content-area, 
.page-id-32 .content-area, 
.page-id-27 .content-area, 
.page-id-17 .content-area, 
.page-id-14 .content-area {
	padding-top: 0px;
}

/*	Remove left sidebar from all pages except blog page.	*/
.page-id-30 .site:before,
.page-id-27 .site:before,
.page-id-17 .site:before,
.page-id-14 .site:before {
    width: 0px;
}

.page-id-30 #secondary,
.page-id-27 #secondary,
.page-id-17 #secondary,
.page-id-14 #secondary {
  	display: none;
}

.page-id-30 #content,
.page-id-27 #content,
.page-id-17 #content,
.page-id-14 #content {
  	margin-left:0px;
}

/*	Fix home page by expanding featured content to full page.	*/
.page-id-30 .featured-content {
	padding-left: 0px;
}

/*	Remove header from front page.	*/
.page-id-30 .site-content .entry-header {
	/*	display:none;	*/
	display:none !important;
}

/*	Set the width the contact form to be the same as the name and email fields for the narrow mobile version */
.contact-form textarea {
	width: 100%;
}

/*	Fix spacing on resume page	*/
div#resume p {
	margin-bottom: 4px;
}

/*	Fix posts so that they don't overlap featured picture.	*/
.site-content .has-post-thumbnail .entry-header {
	margin-top: 0px !important;
}

.content-area {
	padding-top: 0px;
}

.content-area .has-post-thumbnail {
	padding-top: 72px;
}

/*	Needed to make the YouTube videos responsive as just pasting the link no longer works due to altering the theme widht	*/
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
	overflow: hidden;
}

.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}